{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        #table-list{
            font-size: 10pt;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Surat Perintah Kerja (SPK)</li>
        </ol>
    </nav>

    <div class="d-flex">
        <div class="flex-fill"> 
            <a href="{% url 'profile:admin_spk_create' %}"  class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah SPK</a>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsipspk"><i class="bi bi-trash"></i> SPK Diarsipkan</button>
        </div>
    </div> 

    <div class="card shadow mb-5">
        <!-- <div class="card-header border-0 pt-6">
            <div class="card-title">
                <div class="d-flex align-items-center position-relative my-1">
                    <i class="ki-outline ki-magnifier fs-3 position-absolute ms-5"></i>
                    <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-250px ps-13 me-2 filter" data-filter="query" placeholder="Cari Data" />
                    <button class="form-control btn btn-sm btn-warning me-2" onclick="filter_data(this, event, false)">Cari</button>
                    <button class="form-control btn btn-sm btn-danger me-2" onclick="filter_data(this, event, true)">Reset</button>
                </div>
            </div>
            <div class="card-toolbar">
                <div class="d-flex justify-content-end" data-kt-sarpras-table-toolbar="base">
                    
                </div>
                <div class="d-flex justify-content-end align-items-center d-none" data-kt-sarpras-table-toolbar="selected">
                    <div class="fw-bold me-5">
                    <span class="me-2" data-kt-sarpras-table-select="selected_count"></span>Selected</div>
                    <button type="button" class="btn btn-danger" data-kt-sarpras-table-toolbar="delete_selected">Delete Selected</button>
                </div>
            </div>
        </div> -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Data SPK</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
            <div class="card-title">
                <div class="col-md-12">
                    <div class="input-group">
                      <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-500px ps-13 filter" aria-describedby="basic-addon2" data-filter="query" placeholder="Cari Data" />
                      <div class="input-group-append">
                        <button class="form-control btn  btn-warning" onclick="filter_data(this, event, false)">Cari</button>
                        <button class="form-control btn  btn-danger" onclick="filter_data(this, event, true)">Reset</button>
                      </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        {% include 'profile/layouts/admin/pagination.html' %}
                        <table class="table table-striped table-bordered" id="table-list">
                            <thead class="bg-primary text-white">
                                <th class="text-center align-middle">No</th>
                                <th class="text-center align-middle">Tanggal</th>
                                <th class="text-center align-middle">NO SPK</th>
                                <th class="text-center align-middle">SKPD</th>
                                <th class="text-center align-middle">Kegiatan</th>
                                <th class="text-center align-middle">Uraian Pekerjaan</th>
                                <th class="text-center align-middle">Perusahaan</th>
                                <th class="text-center align-middle">Total Tagihan</th>
                                {% comment %} <th>Sumberdana</th>
                                <th>Waktu Pelaksanaan</th> {% endcomment %}
                                <th class="text-center align-middle" width="5%">Aksi</th>
                            </thead>
                            <tbody>
                                {% for item_spk in page_obj %}
                                {% include 'profile/admin/spk/modal_print.html' %}
                                    <tr>
                                        <td class="text-center">{{ forloop.counter0|add:page_obj.start_index }}</td>
                                        <td>{{item_spk.created_at|date:'d F Y'}}</td>
                                        {% comment %} <td> {{item_spk.opd.namaopd}} <br>{{item_spk.opd.lokasi.provinsi}} / {{item_spk.opd.lokasi.kabupaten}}</td> {% endcomment %}
                                     
                                        <td>
                                            <span class="text"> {{item_spk.nospk}}</span>
                                            <br>
                                            <span class="text">{{item_spk.tglspk}}</span>
                                              
                                        </td>
                                        <td>{{item_spk.opd.namaopd }}</td>
                                        <td>{{item_spk.subkegiatan.kegiatan_nama}}</td>
                                        <td>{{item_spk.uraipekerjaan}}</td>
                                        <td>{{item_spk.perusahaan.namaperusahaan}}</td>
                                        {% comment %} <td>{{item_spk.sumberdana}}</td> {% endcomment %}
                                        <td>Rp {{item_spk.total_tagihan}}</td>
                                        
                                        <td>
    
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                                {% comment %} <a href="{% url 'profile:admin_spk_detail' item_spk.id %}" class="btn btn-sm btn-info btn-circle mr-3 mb-2">
                                                    <i class="bi bi-eye"></i>
                                                </a>
                                                <button class="btn btn-sm btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editSKPD-{{item_spk.id}}"><span class="fa fa-edit"></span></button>
    
                                                <a href="#" class="btn btn-sm btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('soft_delete', `{{ item_spk.uraipekerjaan }}`, '{{ item_spk.id }}')"
                                                title="Arsipkan">
                                                    <i class="bi bi-archive"></i>
                                                </a>
                                                
                                                <button class="btn btn-sm btn-primary btn-circle mr-3 mb-2" data-toggle="modal" data-target="#printspk-{{item_spk.id}}"><i class="fa fa-print"></i> </button> {% endcomment %}
                                                <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
                                                  
                                                    <div class="btn-group" role="group">
                                                      <button type="button" class="btn btn-sm btn-info dropdown-toggle" data-toggle="dropdown">
                                                        <i class="bi bi-gear"></i> Aksi
                                                      </button>
                                                      <div class="dropdown-menu">
                                                        <a class="dropdown-item" href="{% url 'profile:admin_spk_detail' item_spk.id %}"> <i class="bi bi-eye"></i> Detail </a>
                                                        <a href="{% url 'profile:admin_spk_edit' item_spk.id %}" class="dropdown-item text-black"> <span class="fa fa-edit"></span> Ubah </a>
                                                        <!-- <button class="dropdown-item text-black" data-toggle="modal" data-target="#editSKPD-{{item_spk.id}}"> <span class="fa fa-edit"></span> Ubah </button> -->
                                                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#printspk-{{item_spk.id}}"><i class="fa fa-print"></i> Print </a>
                                                        <a class="dropdown-item" href="#" onclick="delete_('soft_delete', `{{ item_spk.uraipekerjaan }}`, '{{ item_spk.id }}')"
                                                        title="Arsipkan"> <i class="bi bi-archive"></i> Arsip </a>
                                                      </div>
                                                    </div>
                                                  </div>
                                                
    
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {% include 'profile/layouts/admin/pagination.html' %}
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/admin/spk/modal.html' %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
<!-- <script src="{% static 'admin/custom/main-modul.js' %}"></script> -->
    <script>
        function tambah_wilayah(e){
            showModal(e, {size : 'small'})
        }
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/trans_spk/restore/${id}/`,
                            data: {},
                            dataType: "json",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                show_notif(`Data SPK berhasil dipulihkan!`, 'success');
                                setTimeout(function(){
                                    window.location.href = "/trans_spk/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                try{
                                    show_notif(`${xhr.responseJSON.message}`, 'error');
                                }catch(err){
                                    show_notif(`Data SPK gagal dipulihkan!`, 'error');
                                }
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/trans_spk/${action}/${id}/`,
                            data: {},
                            dataType: "json",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){

                                Swal.fire(`Data SPK berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/trans_spk/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                try{
                                    Swal.fire(`${xhr.responseJSON.message}`, '', 'error');

                                }catch(err){
                                    Swal.fire(`Data SPK gagal di${pesan}!`, '', 'error');
                                }
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}